org.netbeans.modules.openide.util

## Class ServiceProviderProcessor

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - org.openide.util.lookup.implspi.AbstractServiceProviderProcessor
    - - org.netbeans.modules.openide.util.ServiceProviderProcessor

- All Implemented Interfaces:
    Processor

      public class ServiceProviderProcessor
      extends AbstractServiceProviderProcessor

- - ### Field Summary

    - ### Fields inherited from class javax.annotation.processing.AbstractProcessor

      `processingEnv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceProviderProcessor()` public for ServiceLoader

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<? extends Completion>` | `getCompletions(Element annotated, AnnotationMirror annotation, ExecutableElement attr, String userText)`
    `Set<String>` | `getSupportedAnnotationTypes()`
    `protected boolean` | `handleProcess(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)` The regular body of `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`.

    - ### Methods inherited from class org.openide.util.lookup.implspi.AbstractServiceProviderProcessor

      `getSupportedSourceVersion, process, register, register, register`

    - ### Methods inherited from class javax.annotation.processing.AbstractProcessor

      `getSupportedOptions, init, isInitialized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProviderProcessor

          public ServiceProviderProcessor()

      public for ServiceLoader

  - ### Method Detail

    - #### getSupportedAnnotationTypes

          public Set<String> getSupportedAnnotationTypes()

      Specified by:
        `getSupportedAnnotationTypes` in interface `Processor`
      Overrides:
        `getSupportedAnnotationTypes` in class `AbstractProcessor`

    - #### handleProcess

          protected boolean handleProcess(Set<? extends TypeElement> annotations,
                                          RoundEnvironment roundEnv)

      Description copied from class: `AbstractServiceProviderProcessor`
      The regular body of `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`. Called during regular rounds if there are no outstanding errors. In the last round, one of the processors will write out generated registrations.
      Specified by:
        `handleProcess` in class `AbstractServiceProviderProcessor`
      Parameters:
        `annotations` - as in `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`
        `roundEnv` - as in `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`
      Returns:
        as in `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`

    - #### getCompletions

          public Iterable<? extends Completion> getCompletions(Element annotated,
                                                               AnnotationMirror annotation,
                                                               ExecutableElement attr,
                                                               String userText)

      Specified by:
        `getCompletions` in interface `Processor`
      Overrides:
        `getCompletions` in class `AbstractProcessor`

Copyright © 2025 API Design. All Rights Reserved.